cURL
curl --location --request POST "https://api.kashimi.tech/api/v1/auth/token"
--header "Content-Type: application/x-www-form-urlencoded"
--header "Accept: application/json"
--header "Authorization: Basic BASE64_CLIENT_CREDENTIALS"
--data-urlencode "grant_type=client_credentials"
--data-urlencode "scope=payments:read payments:write providers:read"{
"access_token": "YOUR_ACCESS_TOKEN",
"token_type": "Bearer",
"expires_in": 1800
}{
"error": "invalid_request",
"error_description": "Missing parameter: `client_secret`"
}{
"error": "server_error",
"error_description": "The authorization server is currently unavailable"
}Authentication
Auth
Generates a short-lived access token using your client credentials. Use the returned bearer token to authenticate subsequent Kashimi API requests.
POST
/
api
/
v1
/
auth
/
token
cURL
curl --location --request POST "https://api.kashimi.tech/api/v1/auth/token"
--header "Content-Type: application/x-www-form-urlencoded"
--header "Accept: application/json"
--header "Authorization: Basic BASE64_CLIENT_CREDENTIALS"
--data-urlencode "grant_type=client_credentials"
--data-urlencode "scope=payments:read payments:write providers:read"{
"access_token": "YOUR_ACCESS_TOKEN",
"token_type": "Bearer",
"expires_in": 1800
}{
"error": "invalid_request",
"error_description": "Missing parameter: `client_secret`"
}{
"error": "server_error",
"error_description": "The authorization server is currently unavailable"
}Headers
Body
application/x-www-form-urlencoded